> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Uitspraakwoordenboeken weergeven

GET https://api.elevenlabs.io/v1/pronunciation-dictionaries

Haal een lijst op van de uitspraakwoordenboeken waartoe je toegang hebt en hun metadata

Reference: https://elevenlabs.io/docs/api-reference/pronunciation-dictionaries/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Query parameters

- `cursor` (string, optional, nullable) — Gebruikt om de volgende pagina op te halen. De cursor wordt teruggegeven in de response.
- `page_size` (integer, optional, default: 30) — Het maximale aantal uitspraakwoordenboeken dat moet worden geretourneerd. Mag niet hoger zijn dan 100; standaard is 30.
- `sort` (enum, optional, nullable, default: creation_time_unix) — Op welk veld moet worden gesorteerd: 'created_at_unix' of 'name'.
  - Allowed values: `creation_time_unix`, `name`
- `sort_direction` (string, optional, nullable, default: DESCENDING) — In welke richting de stemmen moeten worden gesorteerd: 'ascending' of 'descending'.
- `include_archived` (boolean, optional, default: true) — Of gearchiveerde uitspraakwoordenboeken in de response moeten worden opgenomen.

## Response

### 200

Geslaagde response

- `pronunciation_dictionaries` (list of GetPronunciationDictionaryMetadataResponseModel, required) — Een lijst met uitspraakwoordenboeken en hun metadata.
- `has_more` (boolean, required) — Of er meer uitspraakwoordenboeken kunnen worden opgehaald.
- `next_cursor` (string, optional, nullable) — De volgende cursor die voor paginering moet worden gebruikt.

## Errors

### 422 Unprocessable Entity Error

Validatiefout

- `detail` (list of ValidationError, optional)

## Types

### GetPronunciationDictionaryMetadataResponseModel

- `id` (string, required) — De ID van het uitspraakwoordenboek.
- `latest_version_id` (string, required) — De ID van de meest recente versie van het uitspraakwoordenboek.
- `latest_version_rules_num` (integer, required) — Het aantal regels in de nieuwste versie van het uitspraakwoordenboek.
- `name` (string, required) — De naam van het uitspraakwoordenboek.
- `permission_on_resource` (enum, required, nullable) — De machtiging voor de resource van het uitspraakwoordenboek.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `created_by` (string, required) — De gebruikers-ID van de maker van het uitspraakwoordenboek.
- `creation_time_unix` (integer, required) — Het aanmaaktijdstip van het uitspraakwoordenboek als Unix-timestamp.
- `archived_time_unix` (integer, optional, nullable) — Het archiveringstijdstip van het uitspraakwoordenboek als Unix-timestamp.
- `description` (string, optional, nullable) — De beschrijving van het uitspraakwoordenboek.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "pronunciation_dictionaries": [
    {
      "id": "5xM3yVvZQKV0EfqQpLrJ",
      "latest_version_id": "5xM3yVvZQKV0EfqQpLr2",
      "latest_version_rules_num": 2,
      "name": "My Dictionary",
      "permission_on_resource": "admin",
      "created_by": "ar6633Es2kUjFXBdR1iVc9ztsXl1",
      "creation_time_unix": 1714156800,
      "description": "This is a test dictionary"
    }
  ],
  "has_more": false,
  "next_cursor": "5xM3yVvZQKV0EfqQpLr2"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/pronunciation-dictionaries"

querystring = {"include_archived":"false","sort":"creation_time_unix","sort_direction":"descending"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/pronunciation-dictionaries?include_archived=false&sort=creation_time_unix&sort_direction=descending")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```